// swift-tools-version: 5.7

import PackageDescription

let package = Package(
    name: "Libraries",
    platforms: [.iOS(.v15)],
    products: [
        .library(
            name: "Libraries",
            targets: [
                "APIService",
                "DependencyService"
            ]
        ),
    ],
    dependencies: [
        .package(
            url: "https://github.com/kishikawakatsumi/KeychainAccess.git",
            from: "4.0.0"
        ),
    ],
    targets: [
        .target(name: "APIService"),
        .target(name: "DependencyService"),
        .target(
            name: "KeychainStorage",
            dependencies: [
                "KeychainAccess"
            ]
        ),
        .testTarget(
            name: "APIServiceTests",
            dependencies: ["APIService"]
        ),
        .testTarget(
            name: "KeychainStorageTests",
            dependencies: ["KeychainStorage"]
        )
    ]
)
